Item Logo
Wms apiApi referenceReceipt query api

RN Item Level Query

RN Item Level Query API

RN Item Level Query API in a Warehouse Management System is used to retrieve detailed information about the individual items included in a Receipt Notification. This article introduces the general RN Item Level Query API for easily understanding and applying this API.

Introduction

RN Item Level Query API provides data such as item id, description, unit of measure and status at the item level for each item within a specific receipt. It helps track the movement and status of each item received in the warehouse, ensuring accurate processing and inventory management.

API Request

API: POST /edi/inbound/receipt-item-level/search-by-paging Body Request:

Body Parameter

Required

Description

Note

FacilityID

Y

Facility ID

"889"

CustomerID

Y

Customer ID

"AUKINT0001"

CompanyID

Y

Company ID

"LT"

PONo

N

PO Number

"8957515451-10"

ReferenceNo

N

Reference Number

"LIV2020021804-10"

UpdatedWhenFrom

N

Updated Date From

"2022-02-01T00:00:00-08:00"

UpdatedWhenTo

N

Updated Date To

"2022-02-03T00:00:00-08:00"

Paging

N

Page Object

"PageNo": 2

API Return

It returns the receipt list with the item info, for more detail, please refer to the following example.

Example

Request

json { "FacilityID":"889", "CustomerID":"AUKINT0001", "CompanyID":"LT", "UpdatedWhenFrom": "2022-02-01T00:00:00-08:00", "UpdatedWhenTo": "2022-02-03T00:00:00-08:00", "Paging": { "PageNo": 2 } }

Response

json //Success return { "results": { "head": [ "Customer #", "Reciept #", "PO #", "Ref.#", "Receipt Status", "Appointment Time", "In Yard Time", "Devanned Time", "Carrier", "SCAC Code", "Equipment #", "Equipment Type", "Item ID", "Description", "Short Description", "Grade", "Title", "Supplier", "Lot#", "Expected", "Expected UOM", "Received", "Received UOM", "Expected Pallets", "Received Pallets", "Units/pallet", "Expected CFT", "Received CFT", "Expected Weight", "Received Weight" ], "data": [] }, "paging": { "totalCount": 0, "pageNo": 1, "totalPage": 0, "startIndex": 1, "endIndex": 0, "limit": 100 } }